# Uses of Interface
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.IResourceDependencyLocalResolver

Packages that use IResourceDependencyLocalResolver
Package
Description
org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Uses of IResourceDependencyLocalResolver in org.eclipse.emf.compare.ide.ui.internal.logical.resolver

Classes in org.eclipse.emf.compare.ide.ui.internal.logical.resolver that implement IResourceDependencyLocalResolver
Modifier and Type
Class
Description
`class`
`ResourceDependencyLocalResolver`
The default implementation of the `IResourceDependencyProvider`.
Fields in org.eclipse.emf.compare.ide.ui.internal.logical.resolver declared as IResourceDependencyLocalResolver
Modifier and Type
Field
Description
`protected final IResourceDependencyLocalResolver`
LocalMonitoredProxyCreationListener.`localResolver`
The local resolver.
Methods in org.eclipse.emf.compare.ide.ui.internal.logical.resolver that return IResourceDependencyLocalResolver
Modifier and Type
Method
Description
`IResourceDependencyLocalResolver`
DefaultResolutionContext.`getLocalResolver()`
`IResourceDependencyLocalResolver`
IResolutionContext.`getLocalResolver()`
The resolver for local resources.
Constructors in org.eclipse.emf.compare.ide.ui.internal.logical.resolver with parameters of type IResourceDependencyLocalResolver
Modifier
Constructor
Description
``
`LocalMonitoredProxyCreationListener(ThreadSafeProgressMonitor monitor, com.google.common.eventbus.EventBus eventBus, IResourceDependencyLocalResolver localResolver, DiagnosticSupport diagnostic)`
Constructor.
``
`ModelResourceVisitor(ResourceComputationScheduler<URI> scheduler, SynchronizedResourceSet resourceSet, IResourceDependencyLocalResolver resolver, DiagnosticSupport diagnostic, ThreadSafeProgressMonitor monitor)`
Default constructor.